export { default as CommentField } from './CommentField/CommentField';
export { ExpandingIconButton } from './ExpandingIconButton/ExpandingIconButton';
declare const Popover: import("react").ForwardRefExoticComponent<{
    placement?: import("@floating-ui/utils").Placement;
    onClose?: () => void;
    anchorEl?: HTMLElement | null;
    open: boolean;
    withinPortal?: boolean;
    trapFocus?: boolean;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>> & {
    Title: typeof import("@equinor/eds-core-react/dist/types/components/Popover/PopoverTitle").PopoverTitle;
    Content: typeof import("@equinor/eds-core-react/dist/types/components/Popover/PopoverContent").PopoverContent;
    Header: typeof import("@equinor/eds-core-react/dist/types/components/Popover/PopoverHeader").PopoverHeader;
    Actions: typeof import("@equinor/eds-core-react/dist/types/components/Popover/PopoverActions").PopoverActions;
};
declare const Label: import("react").ForwardRefExoticComponent<{
    label: import("react").ReactNode;
    meta?: import("react").ReactNode;
    disabled?: boolean;
} & import("react").LabelHTMLAttributes<HTMLLabelElement> & import("react").RefAttributes<HTMLLabelElement>>;
export { Popover, Label };
export { default as EditableField } from './EditableField';
export { default as StatusChip } from './Workflow/StatusChip';
export { default as WorkflowDescription } from './Workflow/WorkflowDescription';
export { default as WorkflowStatusBar } from './Workflow/WorkflowStatusBar';
export { default as ConfirmationPopup } from './ConfirmationPopup';
export { default as DataCard } from './DataCard';
export { default as HeaderDrawer } from './HeaderDrawer';
export { default as MultiSelectDrawer } from './MultiSelectDrawer';
export { default as SingleSelectDrawer } from './SingleSelectDrawer';
export { default as IconToggleButton } from './IconToggleButton';
export { default as Tutorial } from './Tutorial/Tutorial';
export { HighlightBlocks } from './Tutorial/HighlightBlocks/HighlightBlocks';
export { OldStepper } from './OldStepper/OldStepper';
export { FullPageStatus } from './FullPageStatus/FullPageStatus';
