import{Chip as r}from"@equinor/eds-core-react";import{tokens as i}from"../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import{animation as t}from"../../../atoms/style/animation.js";import"../../../atoms/style/colors.js";import{spacings as o}from"../../../atoms/style/spacings.js";import a from"styled-components";const{colors:e,shape:n}=i,s=a.button`
  border-radius: 50%;
  padding: 0;
  outline-offset: ${o.x_small};
  background: none;
  cursor: pointer;
`,l=a.div`
  padding: ${o.medium} ${o.small} 0 ${o.small};
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: ${o.small};
`,d=a.div`
  display: flex;
  flex-direction: column;
  align-items: center;
`,m=a.section`
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  max-width: 350px;
  gap: ${o.small};
  margin-top: ${o.small};
`,c=a(r)`
  background: ${e.ui.background__light.rgba};
  border: 1px solid ${e.ui.background__medium.rgba};
  color: ${e.text.static_icons__default.rgba};
`,g=a.div`
  display: grid;
  margin-top: ${o.x_large};
  justify-content: center;
`,p=a.button`
  display: grid;
  grid-template-columns: auto 1fr auto;
  align-items: center;
  gap: ${o.medium_small};
  width: 100%;
  padding: ${o.small};
  border-radius: ${n.button.borderRadius};
  background: ${e.ui.background__light.rgba};
  transition: background ${t.transitionMS};

  > span {
    color: ${e.interactive.primary__resting.rgba};
  }

  > svg {
    fill: ${e.interactive.primary__resting.rgba};
  }

  &:hover {
    background: ${e.interactive.primary__hover_alt.rgba};
  }
`;export{g as ButtonWrapper,l as Container,p as OpenImpersonationMenuButton,s as ProfileButton,c as RoleChip,m as RolesContainer,d as TextContent};
