import{jsxs as r,jsx as t}from"react/jsx-runtime";import{useMemo as i}from"react";import{useDropzone as o}from"react-dropzone";import{Icon as e,Typography as s,Button as a}from"@equinor/eds-core-react";import{add as n,folder as p}from"@equinor/eds-icons";import{animation as m}from"../../atoms/style/animation.js";import{colors as l}from"../../atoms/style/colors.js";import{spacings as c}from"../../atoms/style/spacings.js";import"../AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../ApplicationIcon/ApplicationIcon.js";import"../Badge/Badge.styles.js";import"../Banner/Banner.styles.js";import"../Chip/Chip.js";import"../ContentMenu/ContentMenu.js";import"../Dialog/Dialog.js";import"../EquinorLogo/EquinorLogo.js";import"../FileProgress/CompactFileProgress.styles.js";import"../RichTextEditor/custom-extensions/AmplifyKit.js";import"../RichTextEditor/MenuBar/MenuBar.js";import"@tiptap/react";import"../RichTextEditor/RichTextEditor.styles.js";import"../RichTextEditor/RichTextEditor.types.js";import"../../_virtual/lodash.js";import"@equinor/subsurface-app-management";import"@microsoft/signalr";import"@tanstack/react-query";import"../../atoms/enums/Environment.js";import"../../atoms/utils/auth_environment.js";import"../../organisms/TopBar/Notifications/NotificationProvider.js";import"../../providers/AuthProvider/AuthProvider.js";import"../../providers/ReleaseNotesProvider.js";import"../../providers/SideBarProvider.js";import"../../providers/SnackbarProvider/SnackbarProvider.js";import"../../providers/StepperProvider.js";import"../../providers/TableOfContentsProvider.js";import"../../providers/ThemeProvider/ThemeProvider.js";import"../../providers/TutorialStepsProvider.js";import"../../atoms/enums/Errors.js";import"../../atoms/enums/Theme.js";import"../../atoms/enums/SpacingsMode.js";import"../../organisms/ErrorPage/illustrations/GlitchAnimation.js";import"../../organisms/ErrorPage/illustrations/QuestioningAnimation.js";import"proj4";import"html2canvas";import"../FileProgress/RegularFileProgress.styles.js";import"../FullPageSpinner/FullPageSpinner.js";import"../InfoElement/InfoElement.js";import"../OptionalTooltip/OptionalTooltip.js";import"../ProfileAvatar/ProfileAvatar.js";import"../RichTextEditor/MenuBar/MenuBar.styles.js";import"../RichTextEditor/MenuBar/MenuButton.js";import"../Search/Search.js";import"react-router-dom";import"../Sieve/Sieve.styles.js";import"../SingleFilterMenu/SingleFilterMenu.js";import"../Skeleton/SkeletonBase/SkeletonBase.js";import"../Stepper/Stepper.js";import"../OptionDrawer/OptionDrawer.js";import"../Select/Select.styles.js";import"../ListItem/ListItem.js";import"../SelectionControls/Checkbox/Checkbox.js";import"../SelectionControls/Radio/Radio.js";import"../SelectionControls/Switch/Switch.js";import{UploadIllustration as d}from"./UploadIllustration.js";import u from"styled-components";const g=u.div`
  display: flex;
  align-items: center;
  gap: ${c.small};
  justify-content: center;
  flex-direction: column;
  min-width: 300px;
  border: 2px dashed ${l.interactive.primary__resting.rgba};
  border-radius: 15px;
  margin-top: 10px;
  padding: ${c.medium_small} ${c.xx_large};
  /* c8 ignore next */
  background: ${l.ui.background__light.rgba};
  transition: background ${m.transitionMS};
  > section {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: ${c.x_small};
    margin: calc(${c.medium_small} / 2) 0;
  }
`,j=u.div`
  display: flex;
  align-items: center;
  justify-content: center;
  width: 88px;
  height: 88px;
  border: 1px dashed ${l.interactive.primary__resting.rgba};
  border-radius: 4px;
  background: ${l.ui.background__light.rgba};
  transition: background ${m.transitionMS};
  &:hover {
    cursor: pointer;
    background: ${l.interactive.primary__hover_alt.rgba};
  }
`,h=u.div`
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  width: 100%;
  gap: ${c.x_small};
  align-items: center;
  > p {
    color: ${l.text.static_icons__tertiary.rgba};
  }
  > hr {
    width: 100%;
    height: 2px;
  }
`,v=({compact:m,...c})=>{const{getRootProps:u,getInputProps:v,isDragActive:f}=o({...c}),x=i((()=>{if(c.accept)return Object.values(c.accept).join(", ")}),[c.accept]);return m?r(j,{...u(),children:[t("input",{"data-testid":"file-upload-area-input",...v()}),t(e,{data:n,color:l.interactive.primary__resting.rgba})]}):r(g,{...u(),onClick:void 0,style:{background:f?l.interactive.primary__hover_alt.rgba:void 0},children:[t("input",{"data-testid":"file-upload-area-input",...v()}),t(d,{}),r("section",{children:[t(s,{variant:"button",group:"navigation",children:"Drag files here to upload."}),c.accept&&r(s,{group:"paragraph",variant:"meta",color:l.text.static_icons__tertiary.rgba,children:["Supported filetypes: ",x]})]}),r(h,{children:[t("hr",{}),t(s,{variant:"button",group:"navigation",children:"OR"}),t("hr",{})]}),r(a,{variant:"ghost",onClick:u().onClick,children:[t(e,{data:p}),"Browse files"]})]})};export{v as FileUploadArea};
