import{jsxs as e,jsx as o}from"react/jsx-runtime";import{useState as r,useMemo as i}from"react";import{Card as t,Typography as s,Button as l,Icon as a}from"@equinor/eds-core-react";import{arrow_forward as n}from"@equinor/eds-icons";import{tokens as m}from"../../../node_modules/@equinor/eds-tokens/dist/esm/base/index.js";import"../../../atoms/style/colors.js";import{spacings as c}from"../../../atoms/style/spacings.js";import"../../../molecules/AnimatedCheckmark/AnimatedCheckmark.styles.js";import"../../../molecules/ApplicationIcon/ApplicationIcon.js";import"../../../molecules/Badge/Badge.styles.js";import"../../../molecules/Banner/Banner.styles.js";import"../../../molecules/Chip/Chip.js";import"../../../molecules/ContentMenu/ContentMenu.js";import"../../../molecules/Dialog/Dialog.js";import"../../../molecules/EquinorLogo/EquinorLogo.js";import"../../../molecules/FileProgress/CompactFileProgress.styles.js";import"../../../molecules/RichTextEditor/custom-extensions/AmplifyKit.js";import"../../../molecules/RichTextEditor/MenuBar/MenuBar.js";import"@tiptap/react";import"../../../molecules/RichTextEditor/RichTextEditor.styles.js";import"../../../molecules/RichTextEditor/RichTextEditor.types.js";import"../../../_virtual/lodash.js";import"@equinor/subsurface-app-management";import"@microsoft/signalr";import"@tanstack/react-query";import"../../../atoms/enums/Environment.js";import"../../../atoms/utils/auth_environment.js";import"../../TopBar/Notifications/NotificationProvider.js";import"../../../providers/AuthProvider/AuthProvider.js";import"../../../providers/ReleaseNotesProvider.js";import"../../../providers/SideBarProvider.js";import"../../../providers/SnackbarProvider/SnackbarProvider.js";import"../../../providers/StepperProvider.js";import"../../../providers/TableOfContentsProvider.js";import"../../../providers/ThemeProvider/ThemeProvider.js";import"../../../providers/TutorialStepsProvider.js";import"../../../atoms/enums/Errors.js";import"../../../atoms/enums/Theme.js";import"../../../atoms/enums/SpacingsMode.js";import"../../ErrorPage/illustrations/GlitchAnimation.js";import"../../ErrorPage/illustrations/QuestioningAnimation.js";import"proj4";import"html2canvas";import"../../../molecules/FileProgress/RegularFileProgress.styles.js";import"../../../molecules/FileUploadArea/FileUploadArea.js";import"../../../molecules/FullPageSpinner/FullPageSpinner.js";import"../../../molecules/InfoElement/InfoElement.js";import"../../../molecules/OptionalTooltip/OptionalTooltip.js";import"../../../molecules/ProfileAvatar/ProfileAvatar.js";import"../../../molecules/RichTextEditor/MenuBar/MenuBar.styles.js";import"../../../molecules/RichTextEditor/MenuBar/MenuButton.js";import"../../../molecules/Search/Search.js";import"react-router-dom";import"../../../molecules/Sieve/Sieve.styles.js";import"../../../molecules/SingleFilterMenu/SingleFilterMenu.js";import"../../../molecules/Skeleton/SkeletonBase/SkeletonBase.js";import"../../../molecules/Stepper/Stepper.js";import"../../../molecules/OptionDrawer/OptionDrawer.js";import"../../../molecules/Select/Select.styles.js";import{SingleSelect as p}from"../../../molecules/Select/SingleSelect/SingleSelect.js";import"../../../molecules/ListItem/ListItem.js";import"../../../molecules/SelectionControls/Checkbox/Checkbox.js";import"../../../molecules/SelectionControls/Radio/Radio.js";import"../../../molecules/SelectionControls/Switch/Switch.js";import d from"styled-components";const{elevation:u,colors:h,shape:g}=m,j=d(t)`
  position: absolute;
  left: 50%;
  top: 50%;
  max-height: 60vh;
  min-height: 150px;
  transform: translate(-50%, -50%);
  width: 25rem;
  height: auto;
  padding: ${c.large};
  box-shadow: ${u.above_scrim};
  border-radius: ${g.corners.borderRadius};
  display: flex;
  flex-direction: column;
  gap: ${c.large};
  > h3 {
    color: ${h.text.static_icons__default.rgba};
  }
  > div {
    display: flex;
    flex-direction: column;
    gap: ${c.large};
    section {
      display: grid;
      grid-template-columns: 1fr auto;
      align-items: flex-end;
      grid-gap: ${c.medium};
    }
  }
`,v=d.div`
  display: flex;
  flex-direction: column;
  gap: ${c.small};
  > h6 {
    text-transform: capitalize;
  }
`,f=d.a`
  padding: ${c.small} ${c.medium};
  transition: background-color 200ms ease;
  font-size: 14px;
  line-height: 16px;
  font-weight: 500;
  border-radius: ${g.corners.borderRadius};
  text-decoration: none;
  color: ${h.text.static_icons__default.rgba};
  &:focus-within {
    outline: ${h.interactive.primary__resting.rgba} dashed 2px;
  }
  &:active {
    outline: 0;
    background-color: ${h.interactive.primary__selected_highlight.rgba};
  }
  &:hover {
    background-color: ${h.interactive.primary__hover_alt.rgba};
    cursor: pointer;
  }
`,S=({availableFields:t,onSelect:m,showAccessITLink:c=!0})=>{const[d,u]=r(),h=i((()=>{const e=[];for(const o of t)o.name?e.push({label:o.name,value:o.name,...o}):console.error("Field with no name found!:",o);return e}),[t]);return e(j,{children:[o(s,{variant:"h3",children:"Please select a field"}),e("div",{children:[e("section",{children:[o(p,{lightBackground:!0,value:d,items:h,placeholder:"Select a field",onSelect:e=>{u(e)}}),o(l,{"data-testid":"nextButton",variant:"contained_icon",disabled:void 0===d,onClick:()=>{void 0!==d&&m({name:d.name,uuid:d.uuid,country:d.country})},children:o(a,{data:n})})]}),c&&e(v,{children:[o(s,{variant:"overline",children:"Missing a field?"}),o(f,{tabIndex:0,"data-testid":"missing-access",href:"https://accessit.equinor.com/#",target:"_blank",children:"Go to AccessIT"})]})]})]})};export{S as SelectorCard};
